<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: VizBlock Class Reference</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_viz_block-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">VizBlock Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The main <a class="el" href="class_viz_block.html" title="The main VizBlock class.">VizBlock</a> class.  
 <a href="class_viz_block.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_viz_blocks_8h_source.html">VizBlocks.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a05126b273345e8ee4ac3bc0e6bff8da5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a05126b273345e8ee4ac3bc0e6bff8da5">add</a> (<a class="el" href="class_behaviour.html">Behaviour</a> *b)</td></tr>
<tr class="separator:a05126b273345e8ee4ac3bc0e6bff8da5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12ed8ff980180d9c952733f42c1b0748"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a12ed8ff980180d9c952733f42c1b0748">announce</a> (String doc)</td></tr>
<tr class="separator:a12ed8ff980180d9c952733f42c1b0748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469ac7b36030935ea677d4b2385fd4a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a469ac7b36030935ea677d4b2385fd4a2">announce_capabilities</a> ()</td></tr>
<tr class="separator:a469ac7b36030935ea677d4b2385fd4a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8842678420f4f04a298ccb01aebb8c5e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a8842678420f4f04a298ccb01aebb8c5e">generateCapabilitiesJSON</a> ()</td></tr>
<tr class="separator:a8842678420f4f04a298ccb01aebb8c5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a681ab4c036640a3cea3941aa9e2e1ca6"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a681ab4c036640a3cea3941aa9e2e1ca6">getId</a> ()</td></tr>
<tr class="separator:a681ab4c036640a3cea3941aa9e2e1ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8002082c1419e9b2718faa75a60356"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a6f8002082c1419e9b2718faa75a60356">init</a> ()</td></tr>
<tr class="separator:a6f8002082c1419e9b2718faa75a60356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f43b604ccbee394091bcedfc3e4dc8c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a5f43b604ccbee394091bcedfc3e4dc8c">mqtt_command</a> ()</td></tr>
<tr class="separator:a5f43b604ccbee394091bcedfc3e4dc8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac8647bb59c5ecf635b4e7349d03a100"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#aac8647bb59c5ecf635b4e7349d03a100">MQTT_connect</a> ()</td></tr>
<tr class="separator:aac8647bb59c5ecf635b4e7349d03a100"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94c00ec7eea6ce431eaad82b3a82dcdf"><td class="memItemLeft" align="right" valign="top">String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a94c00ec7eea6ce431eaad82b3a82dcdf">process</a> (String input)</td></tr>
<tr class="separator:a94c00ec7eea6ce431eaad82b3a82dcdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a4006637716e54f202711f633641b43"><td class="memItemLeft" align="right" valign="top">String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a2a4006637716e54f202711f633641b43">process_command</a> (String command, String args)</td></tr>
<tr class="separator:a2a4006637716e54f202711f633641b43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa03ed68d6c65b1bcd09e72d59cd789c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#aa03ed68d6c65b1bcd09e72d59cd789c6">run</a> ()</td></tr>
<tr class="separator:aa03ed68d6c65b1bcd09e72d59cd789c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a315eb849f9bf9932f90bb26a56b9eec4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a315eb849f9bf9932f90bb26a56b9eec4">serial_command</a> ()</td></tr>
<tr class="separator:a315eb849f9bf9932f90bb26a56b9eec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3471cc56f191c186d5905f05f7aae7b3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a3471cc56f191c186d5905f05f7aae7b3">set_wifi</a> (boolean v)</td></tr>
<tr class="separator:a3471cc56f191c186d5905f05f7aae7b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae187beaf64d567c93ba5775b252259ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#ae187beaf64d567c93ba5775b252259ee">setID</a> (char *id)</td></tr>
<tr class="separator:ae187beaf64d567c93ba5775b252259ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b3946753b985ec0604b0e2f83b0140"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#ad9b3946753b985ec0604b0e2f83b0140">VizBlock</a> (char *id, char *ssid=&quot;VizBlockNet&quot;, char *wifi_pass=&quot;VizBlocksAP&quot;, char *server=&quot;192.168.4.1&quot;, int port=1883, char *mqtt_user=&quot;&quot;, char *mqtt_pass=&quot;&quot;, const char *fingerprint=&quot;&quot;)</td></tr>
<tr class="separator:ad9b3946753b985ec0604b0e2f83b0140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2453fafc9ff3dbcb4fa30b3fb66ee600"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viz_block.html#a2453fafc9ff3dbcb4fa30b3fb66ee600">wifi_connect</a> ()</td></tr>
<tr class="separator:a2453fafc9ff3dbcb4fa30b3fb66ee600"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The main <a class="el" href="class_viz_block.html" title="The main VizBlock class.">VizBlock</a> class. </p>
<p>This class contains all of the connection information for the WiFi network and Node-RED. It checks for commands recieved via serial/mqtt and executes behaviours in reponse. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad9b3946753b985ec0604b0e2f83b0140"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9b3946753b985ec0604b0e2f83b0140">&#9670;&nbsp;</a></span>VizBlock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VizBlock::VizBlock </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>ssid</em> = <code>&quot;VizBlockNet&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>wifi_pass</em> = <code>&quot;VizBlocksAP&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>server</em> = <code>&quot;192.168.4.1&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>port</em> = <code>1883</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>mqtt_user</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>mqtt_pass</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>fingerprint</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a05126b273345e8ee4ac3bc0e6bff8da5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05126b273345e8ee4ac3bc0e6bff8da5">&#9670;&nbsp;</a></span>add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_behaviour.html">Behaviour</a> *&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a behaviour to the list of possible behaviours. </p>

</div>
</div>
<a id="a12ed8ff980180d9c952733f42c1b0748"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12ed8ff980180d9c952733f42c1b0748">&#9670;&nbsp;</a></span>announce()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::announce </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>doc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Publishes a message to the block's mqtt announcement channel. </p>

</div>
</div>
<a id="a469ac7b36030935ea677d4b2385fd4a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469ac7b36030935ea677d4b2385fd4a2">&#9670;&nbsp;</a></span>announce_capabilities()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::announce_capabilities </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Loops through the block's behaviours and announces each one over mqtt/ </p>

</div>
</div>
<a id="a8842678420f4f04a298ccb01aebb8c5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8842678420f4f04a298ccb01aebb8c5e">&#9670;&nbsp;</a></span>generateCapabilitiesJSON()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::generateCapabilitiesJSON </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Generates an array json formatted string containing information about each of the behaviours the block can perform. </p>

</div>
</div>
<a id="a681ab4c036640a3cea3941aa9e2e1ca6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a681ab4c036640a3cea3941aa9e2e1ca6">&#9670;&nbsp;</a></span>getId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* VizBlock::getId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the ID of the block. </p>

</div>
</div>
<a id="a6f8002082c1419e9b2718faa75a60356"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f8002082c1419e9b2718faa75a60356">&#9670;&nbsp;</a></span>init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set up the block's WiFi and MQTT. </p>

</div>
</div>
<a id="a5f43b604ccbee394091bcedfc3e4dc8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f43b604ccbee394091bcedfc3e4dc8c">&#9670;&nbsp;</a></span>mqtt_command()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::mqtt_command </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read a command from the serial input and process it. It only waits for 50ms to allow other behaviours to continue. </p>

</div>
</div>
<a id="aac8647bb59c5ecf635b4e7349d03a100"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac8647bb59c5ecf635b4e7349d03a100">&#9670;&nbsp;</a></span>MQTT_connect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::MQTT_connect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to connect and reconnect as necessary to the MQTT server. </p>

</div>
</div>
<a id="a94c00ec7eea6ce431eaad82b3a82dcdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94c00ec7eea6ce431eaad82b3a82dcdf">&#9670;&nbsp;</a></span>process()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">String VizBlock::process </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>input</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Process a command. This means:</p><ul>
<li>split the command name from the arguments</li>
<li>call process_command with the separated command and argument string </li>
</ul>

</div>
</div>
<a id="a2a4006637716e54f202711f633641b43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a4006637716e54f202711f633641b43">&#9670;&nbsp;</a></span>process_command()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">String VizBlock::process_command </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>command</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Process a command and its arguments. This means:</p><ul>
<li>look for a <a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> with the right name</li>
<li>if found, then call that behaviour with the arguments (which are still a single string) </li>
</ul>

</div>
</div>
<a id="aa03ed68d6c65b1bcd09e72d59cd789c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa03ed68d6c65b1bcd09e72d59cd789c6">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is the main loop. It should be called from within loop() - really this function is the only thing you should need to call. It will manage it's own delay, so you can call as often as possible. </p>

</div>
</div>
<a id="a315eb849f9bf9932f90bb26a56b9eec4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a315eb849f9bf9932f90bb26a56b9eec4">&#9670;&nbsp;</a></span>serial_command()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::serial_command </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read a command from the serial input and process it </p>

</div>
</div>
<a id="a3471cc56f191c186d5905f05f7aae7b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3471cc56f191c186d5905f05f7aae7b3">&#9670;&nbsp;</a></span>set_wifi()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::set_wifi </td>
          <td>(</td>
          <td class="paramtype">boolean&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Turns the block's wifi on or off. </p>

</div>
</div>
<a id="ae187beaf64d567c93ba5775b252259ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae187beaf64d567c93ba5775b252259ee">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::setID </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the ID of the block. </p>

</div>
</div>
<a id="a2453fafc9ff3dbcb4fa30b3fb66ee600"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2453fafc9ff3dbcb4fa30b3fb66ee600">&#9670;&nbsp;</a></span>wifi_connect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VizBlock::wifi_connect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to connect and reconnect as necessary to the WIFI. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="_viz_blocks_8h_source.html">VizBlocks.h</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
